Package:  rotter
Version:  0.8-1
Severity: serious
Tags:     patch
User:     initscripts-ng-de...@lists.alioth.debian.org
Usertags: incorrect-dependency

With dependency based boot sequencing, I discovered what I believe is
a bug in the init.d scripts of this package, when doing a archive wide
check of the dependencies.  This is the error reported:

  error: script rotter/init.d/rotter depend on non-existing provides:
    $jackd

This patch should solve the issue.  Setting severity to serious, as
the boot script will start before jackd and presumably fail to work
with the current setup.

diff -ur rotter-0.8/debian/rotter.init rotter-0.8-pere/debian/rotter.init
--- rotter-0.8/debian/rotter.init       2010-02-13 16:26:19.000000000 +0100
+++ rotter-0.8-pere/debian/rotter.init  2010-02-13 16:28:36.000000000 +0100
@@ -4,8 +4,8 @@
 #
 ### BEGIN INIT INFO
 # Provides:          rotter
-# Required-Start:    $jackd
-# Required-Stop:
+# Required-Start:    $remote_fs jackd
+# Required-Stop:     $remote_fs
 # Default-Start:     2 3 4 5
 # Default-Stop:      0 1 6
 # Short-Description: init-Script for system wide fetchmail daemon

Happy hacking,
-- 
Petter Reinholdtsen



_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to